@import "./mobile.css";

.about-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 3rem;
  padding: 2.5rem 3rem;
}

.about-section .about-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: var(--theme-orange);
  font-size: 2rem;
  font-family: var(--theme-font-family);
}

.about-section .about-header h1 {
  font-size: 8vw;
  font-weight: 900;
  color: var(--theme-orange);
  text-align: center;
}

.about-section > p {
  text-align: center;
  background-color: #fff;
}

.about-section .contact {
  background-color: transparent;
  border: none;
}

.about-section p.contact a {
  color: black;
}

.logo_info {
  background-color: #fff;
  font-family: var(--theme-font-family);
  padding: 2rem 4rem;
}

.logo_info .container {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 2em;
  align-items: center;
}

.logo_info .container .gdc-logo-2023 {
  width: 100%;
  height: auto;
  object-fit: contain;
  border: 2px solid var(--theme-gray);
  border-radius: 2px;
  margin-top: 1rem;
}

.divider {
  color: var(--theme-orange);
  outline: none;
  border: none;
  height: 3px;
}

.past-weblearn,
.past_container {
  background-color: #fff;
  padding: 2rem 1rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  align-items: center;
  font-family: var(--theme-font-family);
}

.past-weblearn .past-2022,
.past-weblearn .past-2021 {
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  flex-direction: column;
  gap: 1rem;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  height: 200px;
  max-width: 500px;
  background-image: url('../images/past_courses_02.jpg');
  position: relative;
  isolation: isolate;
}

.past-weblearn .past-2021 {
  background-image: url('../images/past_courses_01.jpg');
}

.past-weblearn .past-info {
  display: flex;
  flex-direction: column;
  align-items: center;
  transition: opacity 1s;
  gap: 1rem;
  padding: 1rem;
}

.past-info > h2 {
  font-size: 2rem;
}

.past-weblearn .past-2021::after,
.past-weblearn .past-2022::after {
  content: '';
  position: absolute;
  inset: 0;
  z-index: -1;
  background-color: rgba(211, 47, 29, 0.8);
  transition: all 1s;
}

.past-info p {
  font-size: 1.1rem;
}

.past-weblearn .past-2022:hover::after,
.past-weblearn .past-info:hover,
.past-weblearn .past-2021:hover::after {
  opacity: 0;
}

@media all and (min-width: 768px) {
  .partner {
    display: none;
  }

  .footer_info {
    background-color: var(--theme-black);
    color: #fff;
  }

  .footer_info img {
    filter: invert(80%);
  }

  .past_container {
    flex-direction: row;
  }

  .past-2021,
  .past-2022 {
    width: 60%;
  }

  .about-section > p {
    margin-left: 6rem;
  }
}
